const axios = require('axios').default;
const parser = new DOMParser();

axios.get('https://nieuws.nl/feed/')
    .then(function (response: any) {
        const news = parser.parseFromString(response.data, 'text/xml');
        news.querySelectorAll("item").forEach((item: any) => {
            console.log(item.title);
        });
    })
    .catch(function (error: any) {
        console.log(error);
    });